> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List fee markups

> Returns a paginated list of fee markups configured for a company. If the company is a platform account, returns the platform default markups.

Required permissions:
 - `company:update_child_fees`



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/whopsdk/openapi.documented.yml get /fee_markups
openapi: 3.1.0
info:
  title: Whop API
  description: >-
    The Whop REST API. Please see
    https://docs.whop.com/developer/api/getting-started for more details.
  termsOfService: https://whop.com/tos-developer-api/
  version: 1.0.0
servers:
  - url: https://api.whop.com/api/v1
    description: Production Whop API
security: []
tags:
  - name: Products
    description: Products
  - name: Plans
    description: Plans
  - name: Payments
    description: Payments
  - name: Refunds
    description: Refunds
  - name: Disputes
    description: Disputes
  - name: Dispute alerts
    description: Dispute alerts
  - name: Resolution center cases
    description: Resolution center cases
  - name: Checkout configurations
    description: Checkout configurations
  - name: Setup intents
    description: Setup intents
  - name: Payment methods
    description: Payment methods
  - name: Invoices
    description: Invoices
  - name: Promo codes
    description: Promo codes
  - name: Card transactions
    description: Card transactions
  - name: Ledger accounts
    description: Ledger accounts
  - name: Transfers
    description: Transfers
  - name: Withdrawals
    description: Withdrawals
  - name: Payout methods
    description: Payout methods
  - name: Verifications
    description: Verifications
  - name: Payout accounts
    description: Payout accounts
  - name: Topups
    description: Topups
  - name: Users
    description: Users
  - name: Companies
    description: Companies
  - name: Authorized users
    description: Authorized users
  - name: Fee markups
    description: Fee markups
  - name: Members
    description: Members
  - name: Memberships
    description: Memberships
  - name: Leads
    description: Leads
  - name: Entries
    description: Entries
  - name: Shipments
    description: Shipments
  - name: Reviews
    description: Reviews
  - name: Company token transactions
    description: Company token transactions
  - name: Affiliates
    description: Affiliates
  - name: Experiences
    description: Experiences
  - name: Forums
    description: Forums
  - name: Forum posts
    description: Forum posts
  - name: Chat channels
    description: Chat channels
  - name: Support channels
    description: Support channels
  - name: Messages
    description: Messages
  - name: Reactions
    description: Reactions
  - name: Dm members
    description: Dm members
  - name: Dm channels
    description: Dm channels
  - name: Notifications
    description: Notifications
  - name: Courses
    description: Courses
  - name: Course chapters
    description: Course chapters
  - name: Course lessons
    description: Course lessons
  - name: Course students
    description: Course students
  - name: Course lesson interactions
    description: Course lesson interactions
  - name: Apps
    description: Apps
  - name: Webhooks
    description: Webhooks
  - name: App builds
    description: App builds
  - name: Access tokens
    description: Access tokens
  - name: Account links
    description: Account links
  - name: Files
    description: Files
  - name: Ai chats
    description: Ai chats
  - name: Bounties
    description: Bounties
  - name: Stats
    description: Stats
  - name: Ad campaigns
    description: Ad campaigns
  - name: Ad groups
    description: Ad groups
  - name: Ads
    description: Ads
  - name: Conversions
    description: Conversions
paths:
  /fee_markups:
    get:
      tags:
        - Fee markups
      summary: List fee markups
      description: >-
        Returns a paginated list of fee markups configured for a company. If the
        company is a platform account, returns the platform default markups.


        Required permissions:
         - `company:update_child_fees`
      operationId: listFeeMarkup
      parameters:
        - name: after
          in: query
          required: false
          schema:
            type:
              - string
              - 'null'
            description: >-
              Returns the elements in the list that come after the specified
              cursor.
          explode: true
          style: form
        - name: before
          in: query
          required: false
          schema:
            type:
              - string
              - 'null'
            description: >-
              Returns the elements in the list that come before the specified
              cursor.
          explode: true
          style: form
        - name: first
          in: query
          required: false
          schema:
            type:
              - integer
              - 'null'
            description: Returns the first _n_ elements from the list.
            example: 42
          explode: true
          style: form
        - name: last
          in: query
          required: false
          schema:
            type:
              - integer
              - 'null'
            description: Returns the last _n_ elements from the list.
            example: 42
          explode: true
          style: form
        - name: company_id
          in: query
          required: true
          schema:
            type: string
            description: >-
              The unique identifier of the company to list fee markups for. Pass
              a platform account identifier to retrieve platform default
              markups.
            example: biz_xxxxxxxxxxxxxx
          explode: true
          style: form
      responses:
        '200':
          description: A successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/FeeMarkupListItem'
                    description: A list of nodes.
                  page_info:
                    $ref: '#/components/schemas/PageInfo'
                    description: Information to aid in pagination.
                required:
                  - data
                  - page_info
                description: The connection type for FeeMarkup.
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                      message:
                        type: string
                      code:
                        type:
                          - string
                          - 'null'
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                      param:
                        type:
                          - string
                          - 'null'
                        description: The parameter that caused the error, if applicable
                    required:
                      - type
                      - message
                required:
                  - error
              example:
                error:
                  type: invalid_request_error
                  code: parameter_missing
                  message: 'Missing required parameter: amount.'
                  param: amount
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                      message:
                        type: string
                      code:
                        type:
                          - string
                          - 'null'
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                      param:
                        type:
                          - string
                          - 'null'
                        description: The parameter that caused the error, if applicable
                    required:
                      - type
                      - message
                required:
                  - error
              example:
                error:
                  type: unauthorized
                  message: Invalid or missing API key
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                      message:
                        type: string
                      code:
                        type:
                          - string
                          - 'null'
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                      param:
                        type:
                          - string
                          - 'null'
                        description: The parameter that caused the error, if applicable
                    required:
                      - type
                      - message
                required:
                  - error
              example:
                error:
                  type: forbidden
                  message: You do not have permission to access this resource
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                      message:
                        type: string
                      code:
                        type:
                          - string
                          - 'null'
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                      param:
                        type:
                          - string
                          - 'null'
                        description: The parameter that caused the error, if applicable
                    required:
                      - type
                      - message
                required:
                  - error
              example:
                error:
                  type: not_found
                  message: Resource not found
        '422':
          description: Verification required
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                      message:
                        type: string
                      code:
                        type:
                          - string
                          - 'null'
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                      param:
                        type:
                          - string
                          - 'null'
                        description: The parameter that caused the error, if applicable
                    required:
                      - type
                      - message
                required:
                  - error
              example:
                error: null
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                      message:
                        type: string
                      code:
                        type:
                          - string
                          - 'null'
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                      param:
                        type:
                          - string
                          - 'null'
                        description: The parameter that caused the error, if applicable
                    required:
                      - type
                      - message
                required:
                  - error
              example:
                error:
                  type: internal_server_error
                  message: An unexpected error occurred
      security:
        - bearerAuth:
            - company:update_child_fees
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Whop from '@whop/sdk';

            const client = new Whop({
              apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
            });

            // Automatically fetches more pages as needed.
            for await (const feeMarkupListResponse of client.feeMarkups.list({
              company_id: 'biz_xxxxxxxxxxxxxx',
            })) {
              console.log(feeMarkupListResponse.id);
            }
        - lang: Python
          source: |-
            import os
            from whop_sdk import Whop

            client = Whop(
                api_key=os.environ.get("WHOP_API_KEY"),  # This is the default and can be omitted
            )
            page = client.fee_markups.list(
                company_id="biz_xxxxxxxxxxxxxx",
            )
            page = page.data[0]
            print(page.id)
        - lang: Ruby
          source: |-
            require "whop_sdk"

            whop = WhopSDK::Client.new(api_key: "My API Key")

            page = whop.fee_markups.list(company_id: "biz_xxxxxxxxxxxxxx")

            puts(page)
components:
  schemas:
    FeeMarkupListItem:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier for the fee markup.
        fee_type:
          $ref: '#/components/schemas/FeeMarkupTypes'
          description: The category of fee this markup applies to.
        percentage_fee:
          type:
            - number
            - 'null'
          description: >-
            A percentage-based fee charged per transaction. Ranges from 0 to 25.
            Null if no percentage fee is configured.
          example: 6.9
        fixed_fee_usd:
          type:
            - number
            - 'null'
          description: >-
            A flat fee charged per transaction, in USD. Ranges from 0 to 50.
            Null if no fixed fee is configured.
          example: 6.9
        notes:
          type:
            - string
            - 'null'
          description: >-
            Internal notes about this fee markup, visible only to
            administrators. Null if no notes have been added.
          example: Approved by finance team on 2024-01-15
        created_at:
          type: string
          format: date-time
          description: The datetime the fee markup was created.
          example: '2023-12-01T05:00:00.401Z'
        updated_at:
          type: string
          format: date-time
          description: The datetime the fee markup was last updated.
          example: '2023-12-01T05:00:00.401Z'
      required:
        - id
        - fee_type
        - percentage_fee
        - fixed_fee_usd
        - notes
        - created_at
        - updated_at
      description: >-
        A fee markup configuration that defines additional charges applied to
        transactions for a platform's connected accounts.
    PageInfo:
      type: object
      properties:
        end_cursor:
          type:
            - string
            - 'null'
          description: When paginating forwards, the cursor to continue.
        start_cursor:
          type:
            - string
            - 'null'
          description: When paginating backwards, the cursor to continue.
        has_next_page:
          type: boolean
          description: When paginating forwards, are there more items?
        has_previous_page:
          type: boolean
          description: When paginating backwards, are there more items?
      required:
        - end_cursor
        - start_cursor
        - has_next_page
        - has_previous_page
      description: Information about pagination in a connection.
    FeeMarkupTypes:
      type: string
      enum:
        - crypto_withdrawal_markup
        - rtp_withdrawal_markup
        - next_day_bank_withdrawal_markup
        - bank_wire_withdrawal_markup
        - digital_wallet_withdrawal_markup
      description: The types of fee markups that can be configured
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        A company API key, company scoped JWT, app API key, or user OAuth token.
        You must prepend your key/token with the word 'Bearer', which will look
        like `Bearer ***************************`
      scheme: bearer
      bearerFormat: auth-scheme

````